Bug 505924 - Metadata not cleared during major release upgrade
Metadata not cleared during major release upgrade
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 14:28 EDT by Randy Wyatt
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 15:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The upgrade log from the system (206.18 KB, application/octet-stream)
2009-06-14 14:28 EDT, Randy Wyatt
no flags Details

  None (edit)
Description Randy Wyatt 2009-06-14 14:28:49 EDT
Created attachment 347846 [details]
The upgrade log from the system

Description of problem:

I upgraded my system from Rel 10 to Release 11 yesterday from DVD.  I had a lot of extra packages such as perl modules which were not upgraded.  Issuing a Yum update did not change the situation,  I cleared the cache manually, and then I was able to upgrade all of the remaining packages

Version-Release number of selected component (if applicable):
Fedora 10 to Fedora 11,  Yum version 3-2.22-4

How reproducible:

Easily
Steps to Reproduce:
1. While in F10, install perl modules
2. Upgrade to F11 from DVD
3. yum update and observe that nothing gets updated
  
Actual results:
No packages get updated

Expected results:
Yum should have least updated and allowed the user to upgrade.

Additional info:
Comment 1 seth vidal 2009-07-08 15:11:58 EDT
We've essentially worked around this problem. The new cachedir default includes the $releasever so stepping on the toes of the previous release is going to be hard to do.

Note You need to log in before you can comment on or make changes to this bug.